%define module	Acme-Cow
%define name	perl-%{module}
%define version 0.1
%define release 3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A configurable speaking/thinking Cow
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch
conflicts:	cowsay

%description
Talking cows.  ASCII artwork.  A veritable foundation of the
Internet.

Now you can make the cows say whatever you want.  Acme::Cow is the
module that does all the work behind the new version of cow{say,think}
(also included in this distribution).  Now you can incorporate
loquactious cattle into any program you want, quickly and easily.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-3mdk
- fix buildrequires in a backward compatible way

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-2mdk 
- mooooooooooooooooo! (aka fixing changelog, thx Stefan <stefan@eijk.nu>)

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-1mdk 
- yeeeeeeeeeeeeeeeeeeeeeeeeeeeah
